/* Traffic_lamp
 * Egyszerű közlekedési lámpa vezérlése 
 * Szekvencia: Zöld, Sárga, Piros, Piros-sárga
 */

#define RED_LED     2             // Piros LED D2-re
#define YELLOW_LED  3             // Sárga LED D3-ra
#define GREEN_LED   4             // Zöld  LED D4-re 

void setup() {
  pinMode(RED_LED,OUTPUT);        // D2, D3, D4 legyenek digitális kimenetek!
  pinMode(YELLOW_LED,OUTPUT);
  pinMode(GREEN_LED,OUTPUT);
}

void loop() {
  digitalWrite(RED_LED,LOW);      // 1. fázis: zöld
  digitalWrite(YELLOW_LED,LOW);
  digitalWrite(GREEN_LED,HIGH);
  delay(1000);
  digitalWrite(GREEN_LED,LOW);    // 2. fázis: sárga 
  digitalWrite(YELLOW_LED,HIGH);
  delay(1000);
  digitalWrite(YELLOW_LED,LOW);   // 3. fázis: piros
  digitalWrite(RED_LED,HIGH);
  delay(1000);
  digitalWrite(YELLOW_LED,HIGH);  // 4. fázis: piros-sárga
  digitalWrite(RED_LED,HIGH);  
  delay(1000);
} 
